package com.zanxiang.game.module.manage.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;


/**
 * @author : ZhangXianyu
 * @time : 2024-03-13 19:18:30
 * @description : 消息任务类型枚举
 */
@Getter
@AllArgsConstructor
public enum MsgTaskTypeEnum {

    /**
     * 即时任务
     */
    IMMEDIATE_TASK("immediate_task"),
    /**
     * 循环任务
     */
    CYCLE_TASK("cycle_task"),
    /**
     * 定时任务
     */
    SCHEDULE_TASK("schedule_task");


    /**
     * 任务类型
     */
    private String name;

}
