package com.zanxiang.game.module.manage.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;


/**
 * @author : ZhangXianyu
 * @time : 2024-03-13 19:25:51
 * @description : 任务状态枚举
 */
@Getter
@AllArgsConstructor
public enum MsgTaskStatusEnum {

    /**
     * 已发送
     */
    SUCCESS_SEND("success_send"),
    /**
     * 待发送
     */
    WAIT_SEND("wait_send");


    /**
     * 任务类型
     */
    private String name;

}
